This patch just split the parsing of the cmd line
into a separate function to allowing an edit with the generic hook_edit function.

Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
 src/hooks/configs/ipv4-static | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/src/hooks/configs/ipv4-static b/src/hooks/configs/ipv4-static
index c395200..36629e0 100644
--- a/src/hooks/configs/ipv4-static
+++ b/src/hooks/configs/ipv4-static
@@ -35,12 +35,9 @@ hook_check_config_settings() {
 	fi
 }
 
-hook_new() {
-	local zone="${1}"
-	assert zone_exists "${zone}"
-	shift
-
+hook_parse_cmdline() {
 	local arg
+
 	while read -r arg; do
 		local key="$(cli_get_key "${arg}")"
 		local val="$(cli_get_val "${arg}")"
@@ -105,6 +102,18 @@ hook_new() {
 	if ! isset GATEWAY && zone_is_nonlocal "${zone}"; then
 		warning "You did not configure a gateway for a non-local zone"
 	fi
+}
+
+hook_new() {
+	local zone="${1}"
+	shift
+
+	assert zone_exists "${zone}"
+
+	if ! hook_parse_cmdline $@; then
+		# Return an error if the parsing of the cmd line fails
+		return ${EXIT_ERROR}
+	fi
 
 	zone_config_settings_write "${zone}" "${HOOK}"
 
-- 
2.6.3